package net.wanji.opt.service.strategy;

import com.github.pagehelper.PageInfo;
import net.wanji.opt.dto.IntegerIdsDTO;
import net.wanji.opt.dto.strategy.AddOrUpdateIdeaDTO;
import net.wanji.opt.dto.strategy.QueryIdeaDTO;
import net.wanji.opt.po.strategy.IdeaPO;

/**
 * @author hanbing
 * @date 2023/1/12 15:12
 * @desc 策略管理-方法库接口服务
 */
public interface IdeaService {


    void addOrUpdateIdea(AddOrUpdateIdeaDTO addOrUpdateIdeaDTO);

    void deleteIdea(IntegerIdsDTO integerIdsDTO);

    PageInfo<IdeaPO> queryIdea(QueryIdeaDTO queryIdeaDTO);
}
