package net.wanji.opt.service.strategy;

import com.github.pagehelper.PageInfo;
import net.wanji.opt.dto.IntegerIdsDTO;
import net.wanji.opt.dto.strategy.AddOrUpdateStrategyDTO;
import net.wanji.opt.dto.strategy.QueryStrategyDTO;
import net.wanji.opt.po.strategy.StrategyPO;

/**
 * @author hanbing
 * @date 2023/1/12 15:12
 * @desc 策略管理-策略库接口服务
 */
public interface StrategyService {


    void addOrUpdateStrategy(AddOrUpdateStrategyDTO addOrUpdateStrategyDTO);

    void deleteStrategy(IntegerIdsDTO integerIdsDTO);

    PageInfo<StrategyPO> queryStrategy(QueryStrategyDTO queryStrategyDTO);
}
